Page MenuHomePhabricator

rack and set up aqs100[7-9]
Closed, ResolvedPublic8 Story Points

Description

  • - receive in normally on parent task T150273
  • - rack location A6/B6/D3
  • - create dns entries for internal production IP address, and mgmt entries for both asset tag and hostname
  • - setup bios and drac
  • - update switch port info
  • - install_server module update
  • - install OS
  • - sign/accept puppet & salt keys
  • - hand off to @elukey for service implementation.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2017, 7:06 PM

Change 332980 had a related patch set uploaded (by Elukey):
Add aqs100[789] to the AQS partman recipe

https://gerrit.wikimedia.org/r/332980

Change 332980 merged by Elukey:
Add aqs100[789] to the AQS partman recipe

https://gerrit.wikimedia.org/r/332980

elukey triaged this task as Normal priority.Jan 19 2017, 10:28 AM
elukey removed a project: Patch-For-Review.
Cmjohnson raised the priority of this task from Normal to High.Jan 19 2017, 7:32 PM
Cmjohnson updated the task description. (Show Details)

Change 333059 had a related patch set uploaded (by Cmjohnson):
Adding dns entries for aqs1007-9 T155654

https://gerrit.wikimedia.org/r/333059

Change 333059 merged by Cmjohnson:
Adding dns entries for aqs1007-9 T155654

https://gerrit.wikimedia.org/r/333059

Cmjohnson updated the task description. (Show Details)Jan 20 2017, 5:59 PM

Change 333281 had a related patch set uploaded (by Cmjohnson):
Adding dhcpd entries for aqs1007-9 T155654

https://gerrit.wikimedia.org/r/333281

Change 333281 merged by Cmjohnson:
Adding dhcpd entries for aqs1007-9 T155654

https://gerrit.wikimedia.org/r/333281

Cmjohnson updated the task description. (Show Details)Jan 20 2017, 7:18 PM

@Cmjohnson: I wanted to help and I installed the OS and signed puppet/salt keys for aqs100[78], but wasn't able to PXE boot aqs1009 due to a DHCP lease failure. I didn't proceed any further since probably some config is missing, otherwise let me know! I can take care of the OS install if you want.

@elukey, the vlan wasn't set in the switch. Please try again at your convenience. Thanks

elukey updated the task description. (Show Details)Jan 25 2017, 9:11 AM
elukey claimed this task.
elukey edited projects, added User-Elukey, Analytics-Kanban; removed Patch-For-Review.

Change 334035 had a related patch set uploaded (by Elukey):
Add aqs100[789] to the related role

https://gerrit.wikimedia.org/r/334035

Change 334040 had a related patch set uploaded (by Elukey):
Allocate aqs100[789]'s cassandra instances forward and reverse IPs.

https://gerrit.wikimedia.org/r/334040

Change 334040 merged by Elukey:
Allocate aqs100[789]'s cassandra instances A and PTR records.

https://gerrit.wikimedia.org/r/334040

elukey moved this task from Backlog to Stalled on the User-Elukey board.Jan 26 2017, 8:05 AM
elukey moved this task from Stalled to In Progress on the User-Elukey board.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.Jan 26 2017, 4:42 PM

Change 334035 merged by Elukey:
Add aqs1007 to site.pp and bootstrap aqs1007-a

https://gerrit.wikimedia.org/r/334035

Change 334753 had a related patch set uploaded (by Elukey):
Enable AQS aqs1007-b cassandra instance

https://gerrit.wikimedia.org/r/334753

Change 334753 merged by Elukey:
Enable AQS aqs1007-b cassandra instance

https://gerrit.wikimedia.org/r/334753

Change 335006 had a related patch set uploaded (by Elukey):
Add aqs1008-a to the AQS Cassandra cluster

https://gerrit.wikimedia.org/r/335006

Change 335024 had a related patch set uploaded (by Elukey):
Add aqs1007 to AQS's conftool data

https://gerrit.wikimedia.org/r/335024

Change 335024 merged by Elukey:
Add aqs1007 to AQS's conftool data

https://gerrit.wikimedia.org/r/335024

Change 335006 merged by Elukey:
Add aqs1008-a to the AQS Cassandra cluster

https://gerrit.wikimedia.org/r/335006

Change 335756 had a related patch set uploaded (by Elukey):
Enable aqs1008-b (AQS cassandra cluster)

https://gerrit.wikimedia.org/r/335756

Change 335756 merged by Elukey:
Enable aqs1008-b (AQS cassandra cluster)

https://gerrit.wikimedia.org/r/335756

Change 335993 had a related patch set uploaded (by Elukey):
Add aqs1009-a to the AQS Cassandra cluster

https://gerrit.wikimedia.org/r/335993

Change 335993 merged by Elukey:
Add aqs1009-a to the AQS Cassandra cluster

https://gerrit.wikimedia.org/r/335993

Change 336192 had a related patch set uploaded (by Elukey):
Add aqs100[89] to the AQS conftool data

https://gerrit.wikimedia.org/r/336192

Change 336192 merged by Elukey:
Add aqs100[89] to the AQS conftool data

https://gerrit.wikimedia.org/r/336192

Milimetric set the point value for this task to 8.Feb 6 2017, 4:43 PM

Change 336430 had a related patch set uploaded (by Elukey):
Enable aqs1009-b (AQS Cassandra cluster)

https://gerrit.wikimedia.org/r/336430

Change 336430 merged by Elukey:
Enable aqs1009-b (AQS Cassandra cluster)

https://gerrit.wikimedia.org/r/336430

elukey moved this task from In Progress to Done on the Analytics-Kanban board.Feb 9 2017, 3:50 PM
Nuria closed this task as Resolved.Feb 9 2017, 8:48 PM